<?php
include "connection.php";

$id = $_GET['i'];

// Prepared statement to prevent SQL injection
$stmt = $conn->prepare("DELETE FROM mestri_info WHERE id = ?");
$stmt->bind_param("i", $id);  // "i" means integer type

// Execute the query
if ($stmt->execute()) {
    echo "Data deleted successfully!";
} else {
    echo "Data delete failed: " . $stmt->error;
}

// Close the prepared statement
$stmt->close();
$conn->close();
?>
