<?php
// Database connection parameters
include 'db_connect.php';

// Query to fetch notifications
$sql = "SELECT * FROM notification ORDER BY id DESC";
$result = $conn->query($sql);

$notifications = [];

if ($result->num_rows > 0) {
    // Fetch all notifications
    while($row = $result->fetch_assoc()) {
        $notifications[] = [
            'id' => $row['id'],  // Including ID to be used for editing and deleting
            'title' => $row['title'],
            'description' => $row['description'],
            'image_url' => $row['image_url']
        ];
    }
}

// Return notifications as JSON
echo json_encode(['notifications' => $notifications]);

$conn->close();
?>
