<?php

// Set character encoding headers
header('Content-Type: text/html; charset=utf-8');

include "connection.php";

// Set charset for database connection 
mysqli_set_charset($conn, "utf8mb4");

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $notice_text = $_POST['notice_text'];

    $sql = "INSERT INTO notices (notice_text) VALUES (?) 
            ON DUPLICATE KEY UPDATE notice_text = VALUES(notice_text)";

    $stmt = $conn->prepare($sql);
    $stmt->bind_param("s", $notice_text);
    
    if ($stmt->execute()) {
        echo json_encode(["status" => "success", "message" => "Notice updated successfully"]);
    } else {
        echo json_encode(["status" => "error", "message" => "Failed to update notice"]);
    }

    $stmt->close();
    $conn->close();
}

?>
