<?php
// Database connection credentials
include 'db_connect.php';

$response = array();
$data = json_decode(file_get_contents("php://input"));

if (isset($data->id)) {
    $imageId = $data->id;

    // Delete image from database
    $sql = "DELETE FROM slider_images WHERE id = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param('i', $imageId);
    if ($stmt->execute()) {
        $response['success'] = true;
        $response['message'] = "Image deleted successfully.";
    } else {
        $response['success'] = false;
        $response['message'] = "Failed to delete image.";
    }
}

$conn->close();
header('Content-Type: application/json');
echo json_encode($response);
?>
