<?php
// Set character encoding headers
header('Content-Type: text/html; charset=utf-8');

include "connection.php";

// Set charset for database connection 
mysqli_set_charset($conn, "utf8mb4");

if (isset($_POST['id']) && isset($_POST['doc_name'])) {

    $id = $_POST['id'];  // ID to identify which record to update
    $doc_name = $_POST['doc_name'];
    $specialty = $_POST['specialty'];
    $exp_years = $_POST['exp_years'];
    $doctor_fee = $_POST['doctor_fee'];
    $location = $_POST['location'];
    $edu_qual = $_POST['edu_qual'];
    $workplace = $_POST['workplace'];
    $expertise = $_POST['expertise'];
    $floor_no = $_POST['floor_no'];
    $room_no = $_POST['room_no'];
    $contact_no = $_POST['contact_no'];
    $schedule = $_POST['schedule'];
    $cetagory = $_POST['cetagory'];

    // Define the target directory for images
    $target_dir = "Images/";

    // Ensure the directory exists and is writable
    if (!is_dir($target_dir)) {
        mkdir($target_dir, 0755, true);
    }

    // Fetch the old image name from the database
    $old_image_query = mysqli_query($conn, "SELECT images FROM doctors_info WHERE id = '$id'");
    $row = mysqli_fetch_assoc($old_image_query);
    $old_image = $row['images'];

    // Generate a unique filename for the new image
    $imageStore = $old_image; // Default to old image
    if (isset($_FILES["image"])) {
        $imageStore = rand() . "_" . time() . ".jpeg";
        $target_file = $target_dir . $imageStore;

        // Save the new image if uploaded
        if (move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
            // Delete the old image if exists
            if (!empty($old_image) && file_exists($target_dir . $old_image)) {
                unlink($target_dir . $old_image);
            }
        } else {
            $imageStore = $old_image; // If upload fails, keep old image
        }
    }

    // Update the doctor's record in the database
    if (isset($_FILES["image"])) {
        $update = "UPDATE doctors_info SET 
                    doc_name = '$doc_name', 
                    specialty = '$specialty', 
                    exp_years = '$exp_years', 
                    doctor_fee = '$doctor_fee', 
                    location = '$location', 
                    edu_qual = '$edu_qual', 
                    workplace = '$workplace', 
                    expertise = '$expertise', 
                    floor_no = '$floor_no', 
                    room_no = '$room_no', 
                    contact_no = '$contact_no', 
                    schedule = '$schedule', 
                    images = '$imageStore', 
                    cetagory = '$cetagory' 
                    WHERE id = '$id'";
    } else {
        // If no new image uploaded, update without changing the image field
        $update = "UPDATE doctors_info SET 
                    doc_name = '$doc_name', 
                    specialty = '$specialty', 
                    exp_years = '$exp_years', 
                    doctor_fee = '$doctor_fee', 
                    location = '$location', 
                    edu_qual = '$edu_qual', 
                    workplace = '$workplace', 
                    expertise = '$expertise', 
                    floor_no = '$floor_no', 
                    room_no = '$room_no', 
                    contact_no = '$contact_no', 
                    schedule = '$schedule', 
                    cetagory = '$cetagory' 
                    WHERE id = '$id'";
    }

    // Execute the update query
    $response = mysqli_query($conn, $update);

    if ($response) {
        echo "Successfully Updated";
        mysqli_close($conn);
    } else {
        echo "Update Failed";
    }
}
?>
