<?php
// Set character encoding headers
header('Content-Type: text/html; charset=utf-8');

include "connection.php";

// Set charset for database connection 
mysqli_set_charset($conn, "utf8mb4");

if (isset($_POST['id']) && isset($_POST['name'])) {

    $id = $_POST['id'];  // ID to identify which record to update
    $name = $_POST['name'];
    $mobile = $_POST['mobile'];
    $upazila = $_POST['upazila'];
    $union_name = $_POST['union_name'];
    $village = $_POST['village'];
    $mestri_type = $_POST['mestri_type'];
    $experience = $_POST['experience'];
    $skills = $_POST['skills'];
    $service_area = $_POST['service_area'];

    // Define the target directory for images
    $target_dir = "Images/";

    // Ensure the directory exists and is writable
    if (!is_dir($target_dir)) {
        mkdir($target_dir, 0755, true);
    }

    // Generate a unique filename for the image
    $imageStore = rand() . "_" . time() . ".jpeg";
    $target_file = $target_dir . $imageStore;

    // Save the image if uploaded
    if (isset($_FILES["image"])) {
        if (move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
            // Image uploaded successfully
        } else {
            // Image move failed
        }
    }

    // Update the mestri record in the database
    if (isset($_FILES["image"])) {
        $update = "UPDATE mestri_info SET 
                    name = '$name', 
                    mobile = '$mobile', 
                    upazila = '$upazila', 
                    union_name = '$union_name', 
                    village = '$village', 
                    mestri_type = '$mestri_type', 
                    experience = '$experience', 
                    skills = '$skills', 
                    service_area = '$service_area', 
                    images = '$imageStore' 
                    WHERE id = '$id'";
    } else {
        // If no new image uploaded, update without changing the image field
        $update = "UPDATE mestri_info SET 
                    name = '$name', 
                    mobile = '$mobile', 
                    upazila = '$upazila', 
                    union_name = '$union_name', 
                    village = '$village', 
                    mestri_type = '$mestri_type', 
                    experience = '$experience', 
                    skills = '$skills', 
                    service_area = '$service_area' 
                    WHERE id = '$id'";
    }

    // Execute the update query
    $response = mysqli_query($conn, $update);

    if ($response) {
        echo "Successfully Updated";
        mysqli_close($conn);
    } else {
        echo "Update Failed";
    }

}
?>
