<?php

// Database connection
include 'connection.php';



if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Retrieve the id from GET request
if (isset($_GET['id'])) {
    $id = $_GET['id'];

    // Increment the view count
    $sql = "UPDATE uddokta_info SET view_count = view_count + 1 WHERE id = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("i", $id);

    if ($stmt->execute()) {
        echo "View count incremented successfully.";
    } else {
        echo "Error: " . $conn->error;
    }

    $stmt->close();
} else {
    echo "Invalid request.";
}

$conn->close();
?>
