<?php
include('connection.php');
header('Content-Type: application/json; charset=utf-8');
mysqli_set_charset($conn, 'utf8mb4');

// Prepare the SQL query to fetch all data with view count
$sql = "SELECT id, name, address, mobile, view_count FROM fireservice";
$result = mysqli_query($conn, $sql);

// Check for query execution errors
if (!$result) {
    echo json_encode(array("error" => "Query failed: " . mysqli_error($conn)));
    exit();
}

// Fetch the results
$data = array();
while ($item = mysqli_fetch_assoc($result)) {
    $info = array(
        'id' => $item['id'],
        'name' => $item['name'],
        'address' => $item['address'],
        'mobile' => $item['mobile'],
        'view_count' => $item['view_count']  // Add the view_count field here
    );
    array_push($data, $info);
}

// Return the data in JSON format
if (empty($data)) {
    echo json_encode(array("message" => "No records found."));
} else {
    echo json_encode($data);
}
?>
